<?php
/**
* Rella Shape Divider Options
*/

if( !defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

/**
 * [rella_param_select_preview description]
 * @method rella_param_select_preview
 * @param  [type]               $settings [description]
 * @param  [type]               $value    [description]
 * @return [type]                         [description]
 */
/*
vc_add_shortcode_param( 'css_responsive_editor', 'rella_param_responsive_options' );
function rella_param_responsive_options( $settings, $value ) {

	return 'Hi';

}
*/
if( ! class_exists( 'Rella_Shape_Divider_Options' ) ) {

	class Rella_Shape_Divider_Options  {

		/**
		 * @var array
		 */
		protected $positions = array( 'top', 'bottom' );

		function __construct() {

			if ( function_exists( 'vc_add_shortcode_param' ) ) {
				vc_add_shortcode_param( 'rella_shape_divider', array( $this, 'shape_divider_param' ) );
			}
		}

		function shape_divider_param( $settings, $value ) {

			$label  = isset( $settings['label'] ) ? $settings['label'] : esc_html__( 'Shape Divider Options', 'infinite-addons' );
			$values = $this->get_shape_divider_values( $value );

			$positions = $this->positions;
			$i = 0;

			$output = '<div class="vc_css-editor vc_row vc_ui-flex-row">';
			$output .= '	<div class="vc_col-xs-6 vc_settings">';

				foreach( $positions as $position ) {

					$hidden = ( $i != 0 ) ? 'hidden' : '';

					$output .= '<div class="rella-main-responsive-wrapper ">';
					$output .= '	<h3 class="rella-shape-divider-heading '. $position .'">' .  ucfirst( $position )  . '</h3>';
					$output .= '	<div class="rella-inner-wrap ' . $hidden . '">';

					// Shape type select
					$output .= '	<label>' . esc_html__( 'Shape Type', 'infinite-addons' ) . '</label>'
							. '	 	<div class="rella_shape_divider-type">'
							. '			<select data-name="' . $position . '-shape-type" data-preview-target=".rella_shape_' . $position . '" name="' . $position . '_shape_type" class="rella_shape_divider-type">'
							.				$this->getShapeTypeOptions( $position,  $values )
							. '			</select>'
							. '		</div>';

					// Shape divider backround color
					$output .= '	<label>' . esc_html__( 'Color', 'infinite-addons' ) . '</label>'
							. '	 	<div class="rella_shape_divider-color">'
							.			$this->getShapeColor( $position,  $values )
							. '		</div>';

					// Shape divider height
					$output .= '	<label>' . esc_html__( 'Height', 'infinite-addons' ) . '</label>'
							. '	 	<div class="rella_shape_divider-height">'
							.			$this->getShapeHeight( $position,  $values )
							. '		</div>';

					// Shape divider width
					/*$output .= '	<label>' . esc_html__( 'Width', 'infinite-addons' ) . '</label>'
							. '	 	<div class="rella_shape_divider-width">'
							.			$this->getShapeWidth( $position,  $values )
							. '		</div>'; */



					$output .= '	</div>'; //.rella-inner-wrap
					$output .= '</div>'; // .rella-main-shape_divider-wrapper

					$i++;

				}
			$output .= '	</div>'; //.vc_col-xs-6
			$output .= '	<input name="' . $settings['param_name'] . '" class="wpb_vc_param_value  ' . $settings['param_name'] . ' ' . $settings['type'] . '_field" type="hidden" value="' . $value . '" />';
			$output .= '	<div class="rella_shape_divider_preview vc_col-xs-6"><div class="rella_shape_top">' . $this->getTopShape( $values ) . '</div><div class="rella_shape_bottom">' . $this->getBottomShape( $values ) . '</div></div>';
			$output .= '</div>'; // .rella-shape-divider-container


			return $output;

		}

		public static function get_shape_divider_values( $value ) {
			return vc_parse_multi_attribute( $value, array( 'top_shape_type' => '', 'top_shape_color' => '', 'top_shape_height' => '', 'top_shape_width' => '', 'top_shape_flip' => '', 'top_shape_inverse' => '', 'bottom_shape_type' => '', 'bottom_shape_color' => '', 'bottom_shape_height' => '', 'bottom_shape_width' => '', 'bottom_shape_flip' => '', 'bottom_shape_inverse' => '' ) );
		}

		/**
		 * @return string
		 */
		function getShapeTypeOptions( $position, $values = array() ) {
			$output = '<option data-svg-path="" value="">' . esc_html__( 'None', 'infinite-addons' ) . '</option>';
			$styles = apply_filters( 'rella_shape_divider_type_options_data', array(
				'asymmetric-angle' => 'Asymmetric Angle',
				'centered-angle' => 'Centered Angle',
				'sea-waves' => 'Sea Waves',
				'semi-angle' => 'Semi Angle',
				'semi-circle' => 'Semi Circle',
				'triangle' => 'Triangle',
				'waves-1' => 'Waves 1',
				'waves-2' => 'Waves 2',
				'waves-3' => 'Waves 3',
				'waves-4' => 'Waves 4',
				'waves-5' => 'Waves 5',
			) );
			foreach ( $styles as $key => $style ) {
				$output .= '<option '. selected( $key, $values[ $position . '_shape_type'] ) .' data-svg-path="' . get_template_directory_uri() . '/assets/img/svg-divider/' . $key . '.svg' . '" value="' . $key . '">' . $style  . '</option>';
			}

			return $output;
		}


		function getShapeColor( $position, $values = array() ) {

			$output = '<input type="text" data-name="' . $position . '-shape-color" name="' . $position . '_shape_color" value="' . $values[ $position . '_shape_color' ] . '" class="rella_color-control">';

			return $output;

		}

		function getShapeHeight( $position, $values = array() ) {

			return '<div class="rella-slider"><div class="rella-handle ui-slider-handle"></div></div><input type="hidden" data-name="' . $position . '-shape-height" name="' . $position . '_shape_height" value="' . $values[ $position . '_shape_height' ] . '" class="rella_shape_height-control rella-sliderinput" >';

		}

		function getShapeWidth( $position, $values = array() ) {

			return '<div class="rella-slider"><div class="rella-handle ui-slider-handle"></div></div><input type="hidden" data-name="' . $position . '-shape-width" name="' . $position . '_shape_weight" value="' . $values[ $position . '_shape_weight' ] . '" class="rella_shape_weight-control rella-sliderinput">';

		}

		function getTopShape( $values = array() ) {

			if( ! isset( $values[ 'top_shape_type' ] ) || empty( $values[ 'top_shape_type' ] ) ) {
				return;
			}

			return file_get_contents( get_template_directory() . '/assets/img/svg-divider/' . $values[ 'top_shape_type' ] . '.svg' );
		}

		function getBottomShape( $values = array() ) {

			if( ! isset( $values[ 'bottom_shape_type' ] ) || empty( $values[ 'bottom_shape_type' ] ) ) {
				return;
			}

			return file_get_contents( get_template_directory() . '/assets/img/svg-divider/' . $values[ 'bottom_shape_type' ] . '.svg' );
		}


		public static function getShape( $value, $pos = 'top' ) {

			if( empty( $value ) ){
				return;
			}

			$values = Rella_Shape_Divider_Options::get_shape_divider_values( $value );
			if( ! isset( $values[ $pos . '_shape_type' ] ) || empty( $values[ $pos . '_shape_type' ] ) ) {
				return;
			}

			$shape = $values[ $pos . '_shape_type' ];
			$svg = '';

			switch( $shape ) {

				case 'asymmetric-angle':
					$color  = isset( $values[ $pos . '_shape_color' ] ) ? $values[ $pos . '_shape_color' ] : '#000';
					$height = isset( $values[ $pos . '_shape_height' ] ) ? $values[ $pos . '_shape_height' ] : '90';
					$svg = '<svg fill="' . $color . '" preserveAspectRatio="none" width="612px" height="78px" viewBox="0 0 612 78" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
							<polygon points="448.3 46.7913564 612 -2.13162821e-14 612 77.4986189 9.49084355e-15 77.4986189 0 -2.13162821e-14"></polygon>
					</svg>';
					break;

				case 'centered-angle':
					$color  = isset( $values[ $pos . '_shape_color' ] ) ? $values[ $pos . '_shape_color' ] : '#000';
					$height = isset( $values[ $pos . '_shape_height' ] ) ? $values[ $pos . '_shape_height' ] : '90';
					$svg = '<svg fill="' . $color . '" class="centered-angle" preserveAspectRatio="none" viewBox="0 0 613 92" width="613" height="92" xmlns="http://www.w3.org/2000/svg">
				 		<path d="m-0.37673,92.11866l613.60788,0l0,-90.80878l-304.20941,45.40439l-296.11875,-43.89015l-13.27972,-1.9683l0,91.26283z"/>
					</svg>';
					break;

				case 'sea-waves':
					$color  = isset( $values[ $pos . '_shape_color' ] ) ? $values[ $pos . '_shape_color' ] : '#000';
					$height = isset( $values[ $pos . '_shape_height' ] ) ? $values[ $pos . '_shape_height' ] : '15';
					$svg = '<svg fill="' . $color . '" preserveAspectRatio="none" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
						 viewBox="0 0 612 15" style="enable-background:new 0 0 612 15;" xml:space="preserve">
					<path d="M20.4,0c0,8.3,4.6,15,10.2,15H10.2C4.7,15,0.2,8.5,0,0.5V15h10.2C15.8,15,20.4,8.3,20.4,0z M40.8,0c0,8.3,4.6,15,10.2,15
						H30.6C36.2,15,40.8,8.3,40.8,0z M61.2,0c0,8.3,4.6,15,10.2,15H51C56.6,15,61.2,8.3,61.2,0z M81.6,0c0,8.3,4.6,15,10.2,15H71.4
						C77,15,81.6,8.3,81.6,0z M102,0c0,8.3,4.6,15,10.2,15H91.8C97.4,15,102,8.3,102,0z M122.4,0c0,8.3,4.6,15,10.2,15h-20.4
						C117.8,15,122.4,8.3,122.4,0z M142.8,0c0,8.3,4.6,15,10.2,15h-20.4C138.2,15,142.8,8.3,142.8,0L142.8,0z M163.2,0
						c0,8.3,4.6,15,10.2,15H153C158.6,15,163.2,8.3,163.2,0z M183.6,0c0,8.3,4.6,15,10.2,15h-20.4C179,15,183.6,8.3,183.6,0L183.6,0z
						 M204,0c0,8.3,4.6,15,10.2,15h-20.4C199.4,15,204,8.3,204,0L204,0z M408,0c0,8.3,4.6,15,10.2,15h-20.4C403.4,15,408,8.3,408,0z
						 M397.8,15h-20.4c-5.6,0-10.2-6.7-10.2-15c0,8.3-4.6,15-10.2,15h20.4c5.6,0,10.2-6.7,10.2-15C387.6,8.3,392.2,15,397.8,15L397.8,15z
						 M357,15h-20.4c-5.6,0-10.2-6.7-10.2-15c0,8.3-4.6,15-10.2,15h20.4c5.6,0,10.2-6.7,10.2-15C346.8,8.3,351.4,15,357,15L357,15z
						 M316.2,15h-20.4c-5.6,0-10.2-6.7-10.2-15c0,8.3-4.6,15-10.2,15h20.4c5.6,0,10.2-6.7,10.2-15C306,8.3,310.6,15,316.2,15L316.2,15z
						 M275.4,15H255c-5.6,0-10.2-6.7-10.2-15c0,8.3-4.6,15-10.2,15H255c5.6,0,10.2-6.7,10.2-15C265.2,8.3,269.8,15,275.4,15L275.4,15z
						 M234.6,15h-20.4c5.6,0,10.2-6.7,10.2-15C224.4,8.3,229,15,234.6,15z M428.4,0c0,8.3,4.6,15,10.2,15h-20.4
						C423.8,15,428.4,8.3,428.4,0L428.4,0z M448.8,0c0,8.3,4.6,15,10.2,15h-20.4C444.2,15,448.8,8.3,448.8,0z M469.2,0
						c0,8.3,4.6,15,10.2,15H459C464.6,15,469.2,8.3,469.2,0L469.2,0z M489.6,0c0,8.3,4.6,15,10.2,15h-20.4C485,15,489.6,8.3,489.6,0z
						 M510,0c0,8.3,4.6,15,10.2,15h-20.4C505.4,15,510,8.3,510,0L510,0z M530.4,0c0,8.3,4.6,15,10.2,15h-20.4C525.8,15,530.4,8.3,530.4,0
						z M550.8,0c0,8.3,4.6,15,10.2,15h-20.4C546.2,15,550.8,8.3,550.8,0L550.8,0z M571.2,0c0,8.3,4.6,15,10.2,15H561
						C566.6,15,571.2,8.3,571.2,0z M591.6,0c0,8.3,4.6,15,10.2,15h-20.4C587,15,591.6,8.3,591.6,0L591.6,0z M612,0.5V15h-10.2
						C607.3,15,611.8,8.5,612,0.5z"/>
					</svg>';
					break;

				case 'semi-angle':
					$color  = isset( $values[ $pos . '_shape_color' ] ) ? $values[ $pos . '_shape_color' ] : '#000';
					$height = isset( $values[ $pos . '_shape_height' ] ) ? $values[ $pos . '_shape_height' ] : '90';
					$svg = '<svg fill="' . $color . '" preserveAspectRatio="none" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
						 viewBox="0 0 612 90" style="enable-background:new 0 0 612 90;" xml:space="preserve">
					<polygon points="612,0 612,90 0,90 "/>
					</svg>';
					break;

				case 'semi-circle':
					$color  = isset( $values[ $pos . '_shape_color' ] ) ? $values[ $pos . '_shape_color' ] : '#000';
					$height = isset( $values[ $pos . '_shape_height' ] ) ? $values[ $pos . '_shape_height' ] : '60';
					$svg = '<svg class="rella-divider-circle" fill="' . $color . '" preserveAspectRatio="none" width="120px" height="60px" viewBox="0 0 120 60" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
							<path d="M120,60 C120,26.862915 93.137085,0 60,0 C26.862915,0 0,26.862915 0,60 C0.485010818,60 119.882479,60 120,60 Z" ></path>
					</svg>';
					break;

				case 'triangle':
					$color  = isset( $values[ $pos . '_shape_color' ] ) ? $values[ $pos . '_shape_color' ] : '#000';
					$height = isset( $values[ $pos . '_shape_height' ] ) ? $values[ $pos . '_shape_height' ] : '60';
					$svg = '<svg class="rella-divider-triangle" fill="' . $color . '" preserveAspectRatio="none" width="94px" height="60px" viewBox="0 0 94 60" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
						<polygon id="Shape" transform="translate(47.000000, 30.000000) scale(1, -1) translate(-47.000000, -30.000000) " points="94 0 94 0.3 70.6 30 47 60 23.4 30 0 0.3 0 0 47 0"></polygon>
					</svg>';
					break;

				case 'waves-1':
					$color  = isset( $values[ $pos . '_shape_color' ] ) ? $values[ $pos . '_shape_color' ] : '#000';
					$height = isset( $values[ $pos . '_shape_height' ] ) ? $values[ $pos . '_shape_height' ] : '60';
					$svg = '<svg fill="' . $color . '" preserveAspectRatio="none" width="1920" height="198" viewBox="0 0 3200 198" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
							<path d="M1511,2.98155597e-19 C1911,2.98155597e-19 2011,198 2300,198 L700,198 C1011,198 1109.9,-0.2 1511,2.98155597e-19 Z"></path>
							<path d="M1600,121 C1911,121 2009.9,-0.2 2411,-1.42108547e-14 C2811,-1.42108547e-14 2911,121 3200,121 L3200,198 L1600,198 C1600,198 1600,150 1600,121 Z M0,121 C311,121 409.9,-0.2 811,-1.42108547e-14 C1211,-1.42108547e-14 1311,121 1600,121 L1600,198 L0,198 C0,198 0,150 0,121 Z" fill-opacity="0.5"></path>
					</svg>';
					break;

				case 'waves-2':
					$color  = isset( $values[ $pos . '_shape_color' ] ) ? $values[ $pos . '_shape_color' ] : '#000';
					$height = isset( $values[ $pos . '_shape_height' ] ) ? $values[ $pos . '_shape_height' ] : '60';
					$svg = '<svg fill="' . $color . '" preserveAspectRatio="none" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 1000 300" preserveAspectRatio="none">
						<path d="M 1000 299 l 2 -279 c -155 -36 -310 135 -415 164 c -102.64 28.35 -149 -32 -232 -31 c -80 1 -142 53 -229 80 c -65.54 20.34 -101 15 -126 11.61 v 54.39 z"/>
						<path d="M 1000 286 l 2 -252 c -157 -43 -302 144 -405 178 c -101.11 33.38 -159 -47 -242 -46 c -80 1 -145.09 54.07 -229 87 c -65.21 25.59 -104.07 16.72 -126 10.61 v 22.39 z"/>
						<path d="M 1000 300 l 1 -230.29 c -217 -12.71 -300.47 129.15 -404 156.29 c -103 27 -174 -30 -257 -29 c -80 1 -130.09 37.07 -214 70 c -61.23 24 -108 15.61 -126 10.61 v 22.39 z"/>
					</svg>';
					break;

				case 'waves-3':
					$color  = isset( $values[ $pos . '_shape_color' ] ) ? $values[ $pos . '_shape_color' ] : '#000';
					$height = isset( $values[ $pos . '_shape_height' ] ) ? $values[ $pos . '_shape_height' ] : '100';
					$svg = '<svg fill="' . $color . '" preserveAspectRatio="none" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 1600 100" style="enable-background:new 0 0 1600 100;" xml:space="preserve">
					<path fill-opacity="0.5" d="M1040,56c0.5,0,1,0,1.6,0c-16.6-8.9-36.4-15.7-66.4-15.7c-56,0-76.8,23.7-106.9,41c12.8,8,27.3,14.7,51.7,14.7
						C979.5,96,980,56,1040,56z"/>
					<path fill-opacity="0.5" d="M1699.8,96v10H1946l-0.3-6.9c0,0,0,0-88,0s-88.6-58.8-176.5-58.8c-51.4,0-73,20.1-99.6,36.8
						c14.5,9.6,29.6,18.9,58.4,18.9C1699.8,96,1699.8,96,1699.8,96z"/>
					<path fill-opacity="0.5" d="M1400,96c19.5,0,32.7-4.3,43.7-10c-35.2-17.3-54.1-45.7-115.5-45.7c-32.3,0-52.8,7.9-70.2,17.8
						c6.4-1.3,13.6-2.1,22-2.1C1340.1,56,1340.3,96,1400,96z"/>
					<path fill-opacity="0.5" d="M680,96c23.7,0,38.1-6.3,50.5-13.9C699.6,64.8,679,40.3,622.2,40.3c-30,0-49.8,6.8-66.3,15.8
						c1.3,0,2.7-0.1,4.1-0.1C619.7,56,620.2,96,680,96z"/>
					<path fill-opacity="0.5" d="M-22.5,90.7c28.3,0,43.3-8.7,57.4-18C7.9,55.9-13.5,35.3-65.7,35.3c-14.3,0-26.3,1.6-36.8,4.2v61.6h60v-10
						L-22.5,90.7z"/>
					<path fill-opacity="0.5" d="M504,73.4c-2.6-0.8-5.7-1.4-9.6-1.4c-19.4,0-19.6,13-39,13s-19.5-13-39-13c-14,0-18,6.7-26.3,10.4
						C402.4,89.9,416.7,96,440,96C472.5,96,487.5,84.2,504,73.4z"/>
					<path fill-opacity="0.5" d="M1205.4,85c-0.2,0-0.4,0-0.6,0c-19.5,0-19.5-13-39-13c-19.7,0-19.2,12.9-39,12.9c0,0-5.9,0-12.3,0.1
						c11.4,6.3,24.9,11,45.5,11S1194.1,91.2,1205.4,85z"/>
					<path fill-opacity="0.5" d="M1447.4,83.9c-2.4,0.7-5.2,1.1-8.6,1.1c-19.3,0-19.8-15.6-39-13c-37.3,5-46.1,20.4-39,13
						c2.1-2.2-5.5-0.3-7.7-0.8c11.6,6.6,25.4,11.8,46.9,11.8C1421.8,96,1435.7,90.7,1447.4,83.9z"/>
					<path fill-opacity="0.5" d="M985.8,72c-17.6,0.8-18.3,13-37,13c-19.4,0-19.5-13-39-13c-18.2,0-19.6,11.4-35.5,12.8
						c11.4,6.3,25,11.2,45.7,11.2C953.7,96,968.5,83.2,985.8,72z"/>
					<path fill-opacity="0.5" d="M1692.3,96V85c0,0,0,0-19.5,0s-19.6-13-39-13s-19.6,13-39,13c-0.1,0-0.2,0-0.4,0c11.4,6.2,24.9,11,45.6,11
						C1669.9,96,1684.8,96,1692.3,96z"/>
					<path d="M-40,95.6C20.3,95.6,20.1,56,80,56s60,40,120,40s59.9-40,120-40s60.3,40,120,40s60.3-40,120-40s60.2,40,120,40
						s60.1-40,120-40s60.5,40,120,40s60-40,120-40s60.4,40,120,40s59.9-40,120-40s60.3,40,120,40s60.2-40,120-40s60.2,40,120,40
						s59.8,0,59.8,0l0.2,143H-60V96L-40,95.6z"/>
					</svg>';
					break;

				case 'waves-4':
					$color  = isset( $values[ $pos . '_shape_color' ] ) ? $values[ $pos . '_shape_color' ] : '#000';
					$height = isset( $values[ $pos . '_shape_height' ] ) ? $values[ $pos . '_shape_height' ] : '100';
					$svg = '<svg fill="' . $color . '" xmlns="http://www.w3.org/2000/svg" preserveAspectRatio="none" x="0px" y="0px" viewBox="0 0 1440 149">
							  <path d="m0,54.06187c118.19818,9.64301 197.37493,15.71477 237.53025,18.21526c22.9659,1.4301 43.9256,3.1575 60.11153,3.83798c78.87981,3.31625 155.08061,4.4588 227.62385,1.88042c85.54281,-3.04043 180.25642,-8.19922 242.59375,-16.57343c150.375,-20.20094 300.50006,-40.24059 375.79417,-47.64866c27.83046,-2.73819 48.71532,-4.56444 74.66105,-6.57284c36.37895,-2.816 71.9183,-4.52609 98.99648,-5.52791c27.07819,-1.00183 58.90895,-1.67269 79.22064,-1.67269c13.54113,0 28.03056,0.55756 43.46828,1.67269l0,147.32731l-1440,0l0,-94.93813z"/>
							</svg>';
					break;
				case 'waves-5':
					$color  = isset( $values[ $pos . '_shape_color' ] ) ? $values[ $pos . '_shape_color' ] : '#000';
					$height = isset( $values[ $pos . '_shape_height' ] ) ? $values[ $pos . '_shape_height' ] : '100';
					$svg = '<svg xmlns="http://www.w3.org/2000/svg" width="1440" height="9" viewBox="0 0 1440 9">
								<path fill="#F9F2E6" d="M1379,9.92687204e-05 C1380.76992,9.92687204e-05 1382.53969,0.677111942 1383.8855,2.03074021 L1386.94548,5.11740181 C1389.63201,7.8270408 1394.03086,7.8270408 1396.71693,5.11740181 L1399.77999,2.03074021 C1402.46652,-0.676913405 1406.86276,-0.676913405 1409.54883,2.03074021 L1412.61389,5.11740181 C1415.29842,7.8270408 1419.69712,7.8270408 1422.38334,5.11740181 L1425.44594,2.03074021 C1428.13493,-0.676913405 1432.53179,-0.676913405 1435.21785,2.03074021 L1438.28045,5.11978426 C1440.96991,7.82743787 1445.36599,7.82743787 1448.05221,5.11978426 L1451.11527,2.03074021 C1453.80196,-0.676913405 1458.19758,-0.676913405 1460.88704,2.03074021 L1463.94732,5.11740181 C1466.63324,7.8270408 1471.03225,7.8270408 1473.71862,5.11740181 L1476.78153,2.03074021 C1479.46775,-0.676913405 1483.86445,-0.676913405 1486.55314,2.03074021 L1489.61343,5.11740181 C1492.30227,7.8270408 1496.69866,7.8270408 1499.38488,5.11740181 L1502.44779,2.03074021 C1505.13416,-0.676913405 1509.53025,-0.676913405 1512.21724,2.03074021 L1515.2803,5.11740181 C1517.96667,7.8270408 1522.36291,7.8270408 1525.05175,5.11740181 L1528.11435,2.03074021 C1529.45754,0.675920717 1531.22962,-0.00228318057 1533,9.92687204e-05 L1533,9 L1379,9 L1226,9 L1073,9 L919,9 L766,9 L613,9 L460,9 L307,9 L154,9 L0,9 L0,9.92687204e-05 C1.769922,9.92687204e-05 3.53969,0.677111942 4.885496,2.03074021 L7.945476,5.11740181 C10.632006,7.8270408 15.030862,7.8270408 17.71693,5.11740181 L20.77999,2.03074021 C23.46652,-0.676913405 27.862758,-0.676913405 30.548826,2.03074021 L33.613888,5.11740181 C36.298416,7.8270408 40.697118,7.8270408 43.38334,5.11740181 L46.445938,2.03074021 C49.134932,-0.676913405 53.531786,-0.676913405 56.217854,2.03074021 L59.280452,5.11978426 C61.969908,7.82743787 66.365992,7.82743787 69.052214,5.11978426 L72.115274,2.03074021 C74.801958,-0.676913405 79.19758,-0.676913405 81.887036,2.03074021 L84.947324,5.11740181 C87.633238,7.8270408 92.032248,7.8270408 94.718624,5.11740181 L97.78153,2.03074021 C100.467752,-0.676913405 104.864452,-0.676913405 107.553138,2.03074021 L110.613426,5.11740181 C113.302266,7.8270408 117.698658,7.8270408 120.38488,5.11740181 L123.447786,2.03074021 C126.134162,-0.676913405 130.530246,-0.676913405 133.217238,2.03074021 L136.280298,5.11740181 C138.966674,7.8270408 143.362912,7.8270408 146.051752,5.11740181 L149.11435,2.03074021 C150.203951,0.93170321 151.575786,0.277916034 153,0.0714983408 L153,9.92687204e-05 C153.165404,9.92687204e-05 153.330806,0.00601187356 153.495861,0.0178367592 C153.663677,0.0057866107 153.831846,-0.000127020259 154,9.92687204e-05 L154,0.0725499097 C155.423321,0.279975174 156.793877,0.93277591 157.885496,2.03074021 L160.945476,5.11740181 C163.632006,7.8270408 168.030862,7.8270408 170.71693,5.11740181 L173.77999,2.03074021 C176.46652,-0.676913405 180.862758,-0.676913405 183.548826,2.03074021 L186.613888,5.11740181 C189.298416,7.8270408 193.697118,7.8270408 196.38334,5.11740181 L199.445938,2.03074021 C202.134932,-0.676913405 206.531786,-0.676913405 209.217854,2.03074021 L212.280452,5.11978426 C214.969908,7.82743787 219.365992,7.82743787 222.052214,5.11978426 L225.115274,2.03074021 C227.801958,-0.676913405 232.19758,-0.676913405 234.887036,2.03074021 L237.947324,5.11740181 C240.633238,7.8270408 245.032248,7.8270408 247.718624,5.11740181 L250.78153,2.03074021 C253.467752,-0.676913405 257.864452,-0.676913405 260.553138,2.03074021 L263.613426,5.11740181 C266.302266,7.8270408 270.698658,7.8270408 273.38488,5.11740181 L276.447786,2.03074021 C279.134162,-0.676913405 283.530246,-0.676913405 286.217238,2.03074021 L289.280298,5.11740181 C291.966674,7.8270408 296.362912,7.8270408 299.051752,5.11740181 L302.11435,2.03074021 C303.203951,0.93170321 304.575786,0.277916034 306,0.0714983408 L306,9.92687204e-05 C306.165404,9.92687204e-05 306.330806,0.00601187356 306.495861,0.0178367592 C306.663677,0.0057866107 306.831846,-0.000127020259 307,9.92687204e-05 L307,0.0725499097 C308.423321,0.279975174 309.793877,0.93277591 310.885496,2.03074021 L313.945476,5.11740181 C316.632006,7.8270408 321.030862,7.8270408 323.71693,5.11740181 L326.77999,2.03074021 C329.46652,-0.676913405 333.862758,-0.676913405 336.548826,2.03074021 L339.613888,5.11740181 C342.298416,7.8270408 346.697118,7.8270408 349.38334,5.11740181 L352.445938,2.03074021 C355.134932,-0.676913405 359.531786,-0.676913405 362.217854,2.03074021 L365.280452,5.11978426 C367.969908,7.82743787 372.365992,7.82743787 375.052214,5.11978426 L378.115274,2.03074021 C380.801958,-0.676913405 385.19758,-0.676913405 387.887036,2.03074021 L390.947324,5.11740181 C393.633238,7.8270408 398.032248,7.8270408 400.718624,5.11740181 L403.78153,2.03074021 C406.467752,-0.676913405 410.864452,-0.676913405 413.553138,2.03074021 L416.613426,5.11740181 C419.302266,7.8270408 423.698658,7.8270408 426.38488,5.11740181 L429.447786,2.03074021 C432.134162,-0.676913405 436.530246,-0.676913405 439.217238,2.03074021 L442.280298,5.11740181 C444.966674,7.8270408 449.362912,7.8270408 452.051752,5.11740181 L455.11435,2.03074021 C456.203951,0.93170321 457.575786,0.277916034 459,0.0714983408 L459,9.92687204e-05 C459.165404,9.92687204e-05 459.330806,0.00601187356 459.495861,0.0178367592 C459.663677,0.0057866107 459.831846,-0.000127020259 460,9.92687204e-05 L460,0.0725499097 C461.423321,0.279975174 462.793877,0.93277591 463.885496,2.03074021 L466.945476,5.11740181 C469.632006,7.8270408 474.030862,7.8270408 476.71693,5.11740181 L479.77999,2.03074021 C482.46652,-0.676913405 486.862758,-0.676913405 489.548826,2.03074021 L492.613888,5.11740181 C495.298416,7.8270408 499.697118,7.8270408 502.38334,5.11740181 L505.445938,2.03074021 C508.134932,-0.676913405 512.531786,-0.676913405 515.217854,2.03074021 L518.280452,5.11978426 C520.969908,7.82743787 525.365992,7.82743787 528.052214,5.11978426 L531.115274,2.03074021 C533.801958,-0.676913405 538.19758,-0.676913405 540.887036,2.03074021 L543.947324,5.11740181 C546.633238,7.8270408 551.032248,7.8270408 553.718624,5.11740181 L556.78153,2.03074021 C559.467752,-0.676913405 563.864452,-0.676913405 566.553138,2.03074021 L569.613426,5.11740181 C572.302266,7.8270408 576.698658,7.8270408 579.38488,5.11740181 L582.447786,2.03074021 C585.134162,-0.676913405 589.530246,-0.676913405 592.217238,2.03074021 L595.280298,5.11740181 C597.966674,7.8270408 602.362912,7.8270408 605.051752,5.11740181 L608.11435,2.03074021 C609.203951,0.93170321 610.575786,0.277916034 612,0.0714983408 L612,9.92687204e-05 C612.165404,9.92687204e-05 612.330806,0.00601187356 612.495861,0.0178367592 C612.663677,0.0057866107 612.831846,-0.000127020259 613,9.92687204e-05 L613,0.0725499097 C614.423321,0.279975174 615.793877,0.93277591 616.885496,2.03074021 L619.945476,5.11740181 C622.632006,7.8270408 627.030862,7.8270408 629.71693,5.11740181 L632.77999,2.03074021 C635.46652,-0.676913405 639.862758,-0.676913405 642.548826,2.03074021 L645.613888,5.11740181 C648.298416,7.8270408 652.697118,7.8270408 655.38334,5.11740181 L658.445938,2.03074021 C661.134932,-0.676913405 665.531786,-0.676913405 668.217854,2.03074021 L671.280452,5.11978426 C673.969908,7.82743787 678.365992,7.82743787 681.052214,5.11978426 L684.115274,2.03074021 C686.801958,-0.676913405 691.19758,-0.676913405 693.887036,2.03074021 L696.947324,5.11740181 C699.633238,7.8270408 704.032248,7.8270408 706.718624,5.11740181 L709.78153,2.03074021 C712.467752,-0.676913405 716.864452,-0.676913405 719.553138,2.03074021 L722.613426,5.11740181 C725.302266,7.8270408 729.698658,7.8270408 732.38488,5.11740181 L735.447786,2.03074021 C738.134162,-0.676913405 742.530246,-0.676913405 745.217238,2.03074021 L748.280298,5.11740181 C750.966674,7.8270408 755.362912,7.8270408 758.051752,5.11740181 L761.11435,2.03074021 C762.203951,0.93170321 763.575786,0.277916034 765,0.0714983408 L765,9.92687204e-05 C765.165404,9.92687204e-05 765.330806,0.00601187356 765.495861,0.0178367592 C765.663677,0.0057866107 765.831846,-0.000127020259 766,9.92687204e-05 L766,0.0725499097 C767.423321,0.279975174 768.793877,0.93277591 769.885496,2.03074021 L772.945476,5.11740181 C775.632006,7.8270408 780.030862,7.8270408 782.71693,5.11740181 L785.77999,2.03074021 C788.46652,-0.676913405 792.862758,-0.676913405 795.548826,2.03074021 L798.613888,5.11740181 C801.298416,7.8270408 805.697118,7.8270408 808.38334,5.11740181 L811.445938,2.03074021 C814.134932,-0.676913405 818.531786,-0.676913405 821.217854,2.03074021 L824.280452,5.11978426 C826.969908,7.82743787 831.365992,7.82743787 834.052214,5.11978426 L837.115274,2.03074021 C839.801958,-0.676913405 844.19758,-0.676913405 846.887036,2.03074021 L849.947324,5.11740181 C852.633238,7.8270408 857.032248,7.8270408 859.718624,5.11740181 L862.78153,2.03074021 C865.467752,-0.676913405 869.864452,-0.676913405 872.553138,2.03074021 L875.613426,5.11740181 C878.302266,7.8270408 882.698658,7.8270408 885.38488,5.11740181 L888.447786,2.03074021 C891.134162,-0.676913405 895.530246,-0.676913405 898.217238,2.03074021 L901.280298,5.11740181 C903.966674,7.8270408 908.362912,7.8270408 911.051752,5.11740181 L914.11435,2.03074021 C915.457538,0.675920717 917.229616,-0.00228318057 919,9.92687204e-05 C920.769922,9.92687204e-05 922.53969,0.677111942 923.885496,2.03074021 L926.945476,5.11740181 C929.632006,7.8270408 934.030862,7.8270408 936.71693,5.11740181 L939.77999,2.03074021 C942.46652,-0.676913405 946.862758,-0.676913405 949.548826,2.03074021 L952.613888,5.11740181 C955.298416,7.8270408 959.697118,7.8270408 962.38334,5.11740181 L965.445938,2.03074021 C968.134932,-0.676913405 972.531786,-0.676913405 975.217854,2.03074021 L978.280452,5.11978426 C980.969908,7.82743787 985.365992,7.82743787 988.052214,5.11978426 L991.115274,2.03074021 C993.801958,-0.676913405 998.19758,-0.676913405 1000.88704,2.03074021 L1003.94732,5.11740181 C1006.63324,7.8270408 1011.03225,7.8270408 1013.71862,5.11740181 L1016.78153,2.03074021 C1019.46775,-0.676913405 1023.86445,-0.676913405 1026.55314,2.03074021 L1029.61343,5.11740181 C1032.30227,7.8270408 1036.69866,7.8270408 1039.38488,5.11740181 L1042.44779,2.03074021 C1045.13416,-0.676913405 1049.53025,-0.676913405 1052.21724,2.03074021 L1055.2803,5.11740181 C1057.96667,7.8270408 1062.36291,7.8270408 1065.05175,5.11740181 L1068.11435,2.03074021 C1069.20395,0.93170321 1070.57579,0.277916034 1072,0.0714983408 L1072,9.92687204e-05 C1072.1654,9.92687204e-05 1072.33081,0.00601187356 1072.49586,0.0178367592 C1072.66368,0.0057866107 1072.83185,-0.000127020259 1073,9.92687204e-05 L1073,0.0725499097 C1074.42332,0.279975174 1075.79388,0.93277591 1076.8855,2.03074021 L1079.94548,5.11740181 C1082.63201,7.8270408 1087.03086,7.8270408 1089.71693,5.11740181 L1092.77999,2.03074021 C1095.46652,-0.676913405 1099.86276,-0.676913405 1102.54883,2.03074021 L1105.61389,5.11740181 C1108.29842,7.8270408 1112.69712,7.8270408 1115.38334,5.11740181 L1118.44594,2.03074021 C1121.13493,-0.676913405 1125.53179,-0.676913405 1128.21785,2.03074021 L1131.28045,5.11978426 C1133.96991,7.82743787 1138.36599,7.82743787 1141.05221,5.11978426 L1144.11527,2.03074021 C1146.80196,-0.676913405 1151.19758,-0.676913405 1153.88704,2.03074021 L1156.94732,5.11740181 C1159.63324,7.8270408 1164.03225,7.8270408 1166.71862,5.11740181 L1169.78153,2.03074021 C1172.46775,-0.676913405 1176.86445,-0.676913405 1179.55314,2.03074021 L1182.61343,5.11740181 C1185.30227,7.8270408 1189.69866,7.8270408 1192.38488,5.11740181 L1195.44779,2.03074021 C1198.13416,-0.676913405 1202.53025,-0.676913405 1205.21724,2.03074021 L1208.2803,5.11740181 C1210.96667,7.8270408 1215.36291,7.8270408 1218.05175,5.11740181 L1221.11435,2.03074021 C1222.20395,0.93170321 1223.57579,0.277916034 1225,0.0714983408 L1225,9.92687204e-05 C1225.1654,9.92687204e-05 1225.33081,0.00601187356 1225.49586,0.0178367592 C1225.66368,0.0057866107 1225.83185,-0.000127020259 1226,9.92687204e-05 L1226,0.0725499097 C1227.42332,0.279975174 1228.79388,0.93277591 1229.8855,2.03074021 L1232.94548,5.11740181 C1235.63201,7.8270408 1240.03086,7.8270408 1242.71693,5.11740181 L1245.77999,2.03074021 C1248.46652,-0.676913405 1252.86276,-0.676913405 1255.54883,2.03074021 L1258.61389,5.11740181 C1261.29842,7.8270408 1265.69712,7.8270408 1268.38334,5.11740181 L1271.44594,2.03074021 C1274.13493,-0.676913405 1278.53179,-0.676913405 1281.21785,2.03074021 L1284.28045,5.11978426 C1286.96991,7.82743787 1291.36599,7.82743787 1294.05221,5.11978426 L1297.11527,2.03074021 C1299.80196,-0.676913405 1304.19758,-0.676913405 1306.88704,2.03074021 L1309.94732,5.11740181 C1312.63324,7.8270408 1317.03225,7.8270408 1319.71862,5.11740181 L1322.78153,2.03074021 C1325.46775,-0.676913405 1329.86445,-0.676913405 1332.55314,2.03074021 L1335.61343,5.11740181 C1338.30227,7.8270408 1342.69866,7.8270408 1345.38488,5.11740181 L1348.44779,2.03074021 C1351.13416,-0.676913405 1355.53025,-0.676913405 1358.21724,2.03074021 L1361.2803,5.11740181 C1363.96667,7.8270408 1368.36291,7.8270408 1371.05175,5.11740181 L1374.11435,2.03074021 C1375.45754,0.675920717 1377.22962,-0.00228318057 1379,9.92687204e-05 Z"/>
						</svg>';
					break;


			}

			return '<div class="rella-row_' . $pos . '_divider" style="height:' . $height . 'px;">' . $svg . '</div>';

		}

	}

	new Rella_Shape_Divider_Options;

}
